Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class RC2Parameters

    java.lang.Object
      iaik.pkcs.pkcs11.parameters.RC2Parameters

All Implemented Interfaces:
  Cloneable, Parameters

Direct Known Subclasses:
  RC2CbcParameters, RC2MacGeneralParameters

public class RC2Parameters
extends Object
implements Parameters

This class encapsulates parameters for the algorithms Mechanism.RC2_ECB and Mechanism.RC2_MAC.

Invariants

Field Summary
`protected long` | `effectiveBits_` The effective number of bits in the RC2 search space.

Constructor Summary
`RC2Parameters(long effectiveBits)` Create a new RC2Parameters object with the given effective bits.

Method Summary
`Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`long` | `getEffectiveBits()` Get the effective number of bits in the RC2 search space.
`Object` | `getPKCS11ParamsObject()` Get this parameters object as Long object.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setEffectiveBits(long effectiveBits)` Set the effective number of bits in the RC2 search space.
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### effectiveBits_

    protected long effectiveBits_

  The effective number of bits in the RC2 search space.

Constructor Detail

### RC2Parameters

    public RC2Parameters(long effectiveBits)

  Create a new RC2Parameters object with the given effective bits.

Parameters:
  `effectiveBits` - The effective number of bits in the RC2 search space.
Preconditions
  (effectiveBits >= 1) and (effectiveBits <= 1024)
Postconditions

Method Detail

### clone

    public Object clone()

  Create a (deep) clone of this object.

  Returns:
    A clone of this object.
  Preconditions
  Postconditions
    (result <> null) and (result instanceof RC2Parameters) and (result.equals(this))

### getPKCS11ParamsObject

    public Object getPKCS11ParamsObject()

  Get this parameters object as Long object.

  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as Long object.
  Preconditions
  Postconditions
    (result <> null)

### getEffectiveBits

    public long getEffectiveBits()

  Get the effective number of bits in the RC2 search space.

  Returns:
    The effective number of bits in the RC2 search space.
  Preconditions
  Postconditions
    (result >= 1) and (result <= 1024)

### setEffectiveBits

    public void setEffectiveBits(long effectiveBits)

  Set the effective number of bits in the RC2 search space.

  Parameters:
    `effectiveBits` - The effective number of bits in the RC2 search space.
  Preconditions
    (effectiveBits >= 1) and (effectiveBits <= 1024)
  Postconditions

### toString

    public String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.

  Returns:
    A string representation of this object.

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Returns:
    The hash code of this object.
  Preconditions
  Postconditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.